Bug 1300203 - nmcli should provide easy way to get BSSID
nmcli should provide easy way to get BSSID
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 04:13 EST by Stephen Wadeley
Modified: 2017-12-12 06:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:07:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Wadeley 2016-01-20 04:13:09 EST
Description of problem:

nmcli provides some commands using BSSID but I cannot find an easy way to list the BSSIDs corresponding to an SSID using nmcli

Version-Release number of selected component (if applicable):
 ~]# rpm -q NetworkManager
NetworkManager-1.0.6-8.fc22.x86_64


How reproducible:
every time

Steps to Reproduce:
1. nmcli device wifi list ifname <wlp3s0>
2. Notice that BSSID is not included 
3. nmcli connection show <my-ssid> | grep -i bssid
802-11-wireless.bssid:        --  {here I see only --}
802-11-wireless.seen-bssids:     {here I see lots of MACs}

Actual results:
cannot find BSSID if I want to change AP with same SSID

Expected results:
Some command should list available BSSIDs for a given SSID.
Maybe:
nmcli device wifi list ifname <wlp3s0> <ssid>
Or:
nmcli connection show id <ssid> bssid

Additional info:
Comment 1 Beniamino Galvani 2016-01-20 09:44:32 EST
Hi,

for most (all?) of the nmcli commands you can control the displayed fields using the -f switch:

  nmcli -f ssid,bssid device wifi list ifname wlp3s0

or 

  nmcli -f all device wifi list ifname wlp3s0
Comment 2 Stephen Wadeley 2016-01-20 16:19:03 EST
Hello

Thanks for the tip

So we can do:
~]$ nmcli -f SIGNAL,NAME,SSID,BSSID,IN-USE dev wifi list
(by putting SIGNAL first we get list sorted by strength)
then pick MAC address, the BSSID, of AP with stronger signal than currently active one and do:
~]$  nmcli dev wifi connect 00:24:DX:XD:27:XX

not so easy to do when you need to quickly change AP as you walk from one meeting room to another.

Also, unfortunately, this command does not offer SSID as an option, only BSSID:

 ~]$ nmcli -f SIGNAL,NAME,SSID,BSSID,IN-USE dev wifi list ifname wlp3s0 

if SSID was an option then you could restrict output to one SSID and just see a list of the BSSID
Comment 3 Blueowl 2016-01-25 07:41:16 EST
First, you don't need to change APs manually when you are roaming. NetworkManager (via wpa_supplicant) handles that automatically (switches to a better AP when signal from the current one is too weak).

If you want to re-activate with different AP (for some reason), you can do it, e.g. like this:
$ nmcli -f signal,ssid,bssid,in-use dev wifi list | grep My-SSID
$ nmcli con up my-wifi-profile ap "BSSID selected from the previous list"

(my-wifi-profile is  NM wifi connection profile for My-SSID network)


> ~]$  nmcli dev wifi connect 00:24:DX:XD:27:XX
You do not probably want to use this command, because it creates a new Wi-Fi profile before activating it.
Comment 4 Fedora End Of Life 2016-07-19 14:40:05 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jan Kurik 2016-07-26 00:34:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 6 Fedora End Of Life 2017-11-16 13:37:49 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-12-12 06:07:15 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.